Skip to main content
`Ctrl`+`K`

# PEPSetBasis

Specifies the type of polynomial basis used to describe the polynomial eigenvalue problem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetBasis(PEP pep,PEPBasis basis)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- basis - the type of polynomial basis, see `PEPBasis` for possible values

## Options Database Key

- -pep_basis (monomial|chebyshev1|chebyshev2|legendre|laguerre|hermite) - select the basis type

## Note

By default, the coefficient matrices passed via `PEPSetOperators()` are expressed in the monomial basis, i.e. \(P(\lambda) = A_0 + \lambda A_1 + \lambda^2 A_2 + \dots + \lambda^d A_d\). Other polynomial bases may have better numerical behavior, but the user must then pass the coefficient matrices accordingly.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetOperators()`, `PEPGetBasis()`, `PEPBasis`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages